Bug 1260741 - php: Null pointer deref (segfault) in spl_autoload via ob_start
Summary: php: Null pointer deref (segfault) in spl_autoload via ob_start
Status: CLOSED NOTABUG
Alias: None
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20150818,reported=2...
Keywords: Security
Depends On: 1260761
Blocks: 1260756
TreeView+ depends on / blocked
 
Reported: 2015-09-07 15:11 UTC by Adam Mariš
Modified: 2019-06-08 20:44 UTC (History)
15 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2015-09-30 07:44:05 UTC


Attachments (Terms of Use)

Description Adam Mariš 2015-09-07 15:11:15 UTC
If spl_autoload doesn't load anything valid, it tries to throw an exception, possibly using null pointer, causing the crash.

Upstream report:

https://bugs.php.net/bug.php?id=70290

Upstream patch:

http://git.php.net/?p=php-src.git;a=commit;h=b584b513983319be170f02828bc7c12850b40320

Comment 1 Adam Mariš 2015-09-07 16:13:12 UTC
Created php tracking bugs for this issue:

Affects: fedora-all [bug 1260761]

Comment 2 Fedora Update System 2015-09-14 22:19:24 UTC
php-5.6.13-1.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.

Comment 3 Fedora Update System 2015-09-14 23:18:30 UTC
php-5.6.13-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 4 Fedora Update System 2015-09-18 18:38:42 UTC
php-5.6.13-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 5 Tomas Hoger 2015-09-30 07:44:05 UTC
This is not considered to be a security vulnerability - crash is triggered by specially-crafted / malicious PHP script, hence trust boundary is not crossed.


Note You need to log in before you can comment on or make changes to this bug.